--- title: "Move media asset project" slug: "mi-move-assets" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/mi-move-assets" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Move media asset project Available in VPC Move a media asset to another project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id} | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `new_project_id` | String | Required | ID of the project you want to move the media to | ### Request example The request example is as follows: ``` curl --location --request PATCH 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/1001?new_project_id=5678' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Media asset details | | `result.assetId` | Integer | - | Media asset ID | | `result.fileName` | String | - | Media file name | | `result.projectId` | Integer | - | ID of the project you moved the media to | | `result.metaData` | Object | - | Metadata details | | `result.metaData.resolution` | String | - | Resolution - Example: `1920x1080` | | `result.metaData.durationMs` | Integer | - | Video length (millisecond) | | `result.metaData.size` | Integer | - | Asset file size (byte) | | `result.metaData.format` | String | - | File format - `mp4` \| `mkv` \| `mov` \| `webm` \| `png` \|`jpg` \| `heic` | | `result.key` | String | - | Full file name of the media uploaded to Object Storage | | `result.createUserName` | String | - | User name that registered the media asset | | `result.createdTime` | String | - | Media asset registration date and time - ISO 8601 format | | `result.updateUserName` | String | - | User name who last edited the media asset | | `result.updatedTime` | String | - | Media asset last modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "videoId": 1001, "videoName": "sample-video.mp4", "projectId": 5678, "metaData": { "resolution": "1280x720", "durationMs": 242161, "size": 35064178, "format": "mp4" }, "key": "sample-video.mp4", "createUserName": "username", "createdTime": "2025-04-23T17:14:11", "updateUserName": "username", "updatedTime": "2025-04-23T17:21:56" } } ```